# Reset MIDI devices

``

    midi_reset  value (number)

Sends a MIDI reset all controllers message to all connected devices on all channels. Use the `port:` and `channel:` opts to restrict which MIDI ports and channels are used.

All controller values are reset to their defaults.

MIDI 1.0 Specification - Channel Mode Messages - Reset All Controllers

Introduced in v3.0

## Options

channel: | Channel to send the midi reset message to
port: | MIDI port to send to
value: | Value must only be zero (the default) unless otherwise allowed in a specific Recommended Practice
on: | If specified and false/nil/0 will stop the midi reset message from being sent out. (Ensures all opts are evaluated in this call to `midi_reset` regardless of value).

## Examples

# Example 1
``
    midi_reset
| ``
    #=> Reset MIDI devices on all channels (and ports)
# Example 2
``
    midi_reset channel: 2
| ``
    #=> Reset MIDI devices on channel 2